Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.chapterIV.builders.impl
Class AbstractKmehrBuilderImpl

    java.lang.Object
      be.ehealth.businessconnector.chapterIV.builders.impl.AbstractKmehrBuilderImpl

All Implemented Interfaces:
  KmehrBuilder

Direct Known Subclasses:
  GenericKmehrBuilder, KmehrBuilderPersPhysician

    public abstract class AbstractKmehrBuilderImpl

extends Object
implements KmehrBuilder

Abstract class for Kmehr builders : provides methods to generate some parts of the message Implements : `KmehrBuilder`

Constructor Summary
`AbstractKmehrBuilderImpl()`

Method Summary
`AuthorType` | `generateAuthor()` Creates a new `AuthorType`
`abstract List<HcpartyType>` | `generateHcPartiesForSender()`
`abstract List<HcpartyType>` | `generateHcPartiesForTransactionAuthor()`
`HeaderType` | `generateHeader(String generatedKmehrIdSuffix)` Completes common part of the header : standards, date and time,...

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractKmehrBuilderImpl

    public AbstractKmehrBuilderImpl()

Method Detail

### generateHcPartiesForTransactionAuthor

    public abstract List<HcpartyType> generateHcPartiesForTransactionAuthor()
                                                                     throws TechnicalConnectorException

  Returns:
    the generated hcparty
  Throws:
    `TechnicalConnectorException`

### generateHcPartiesForSender

    public abstract List<HcpartyType> generateHcPartiesForSender()
                                                          throws TechnicalConnectorException

  Returns:
    the generated hcparty
  Throws:
    `TechnicalConnectorException`

### generateHeader

    public HeaderType generateHeader(String generatedKmehrIdSuffix)
                              throws TechnicalConnectorException

  Completes common part of the header : standards, date and time,...

  Specified by:
    `generateHeader` in interface `KmehrBuilder`
  Returns:
    header
  Throws:
    `TechnicalConnectorException`
  See Also:
    `KmehrBuilder.generateHeader(String)`

### generateAuthor

    public AuthorType generateAuthor()
                              throws TechnicalConnectorException

  Creates a new `AuthorType`

  Specified by:
    `generateAuthor` in interface `KmehrBuilder`
  Returns:
    author
  Throws:
    `TechnicalConnectorException`
  See Also:
    `KmehrBuilder.generateAuthor()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.26.1 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.